| Kea 3.0.2-git

isc::cryptolink::btn Namespace Reference

## Functions
const std::string | getHashAlgorithmName (isc::cryptolink::HashAlgorithm algorithm)
| Decode the HashAlgorithm enum into a name usable by Botan.
const std::string | getHmacAlgorithmName (isc::cryptolink::HashAlgorithm algorithm)
| Decode the HashAlgorithm enum into a name usable by Botan.

## Function Documentation

## ◆ getHashAlgorithmName()

const std::string isc::cryptolink::btn::getHashAlgorithmName | ( | isc::cryptolink::HashAlgorithm | algorithm | ) |

Decode the HashAlgorithm enum into a name usable by Botan.

Parameters

  algorithm | algorithm to be converted

Returns
  static text representation of the algorithm name

Definition at line 21 of file botan_hash.cc.

References isc::cryptolink::MD5, isc::cryptolink::SHA1, isc::cryptolink::SHA224, isc::cryptolink::SHA256, isc::cryptolink::SHA384, isc::cryptolink::SHA512, and isc::cryptolink::UNKNOWN_HASH.

Referenced by isc::cryptolink::HashImpl::HashImpl().

## ◆ getHmacAlgorithmName()

const std::string isc::cryptolink::btn::getHmacAlgorithmName | ( | isc::cryptolink::HashAlgorithm | algorithm | ) |

Decode the HashAlgorithm enum into a name usable by Botan.

Parameters

  algorithm | algorithm to be converted

Returns
  static text representation of the algorithm name

Definition at line 22 of file botan_hmac.cc.

References isc::cryptolink::MD5, isc::cryptolink::SHA1, isc::cryptolink::SHA224, isc::cryptolink::SHA256, isc::cryptolink::SHA384, isc::cryptolink::SHA512, and isc::cryptolink::UNKNOWN_HASH.

Referenced by isc::cryptolink::HMACImpl::HMACImpl().